Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.outlet
Class OutletSaxHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.torque.generator.configuration.outlet.OutletSaxHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public abstract class OutletSaxHandler

extends DefaultHandler

Handles a outlet declaration within the outlet configuration. Base class for more specific handlers.

Constructor Summary
`OutletSaxHandler(QualifiedName outletName, ConfigurationProvider configurationProvider, ProjectPaths projectPaths, ConfigurationHandlers configurationHandlers)` Creates a OutletSaxHandler.

Method Summary
`protected abstract Outlet` | `createOutlet(QualifiedName outletName, String uri, String localName, String rawName, Attributes attributes)`
`void` | `endElement(String uri, String localName, String rawName)`
`ConfigurationHandlers` | `getConfigurationHandlers()` Returns the configuration handlers.
`ConfigurationProvider` | `getConfigurationProvider()` Returns the ConfigurationProvider.
`Outlet` | `getOutlet()` Returns the outlet being configured.
`ProjectPaths` | `getProjectPaths()` Returns the paths of the surrounding project.
`boolean` | `isFinished()` Returns whether we are past the end of the outlet configuration XML snippet which we are parsing.
`protected boolean` | `isProcessingMergepointTag()` Returns whether we are currently processing a mergepoint tag.
`void` | `startElement(String uri, String localName, String rawName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutletSaxHandler

    public OutletSaxHandler(QualifiedName outletName,
                            ConfigurationProvider configurationProvider,
                            ProjectPaths projectPaths,
                            ConfigurationHandlers configurationHandlers)

  Creates a OutletSaxHandler.

  Parameters:
    `outletName` - the name for the outlet which configuration will be read in by the generated SaxHandlerFactory, or null if the name of the outlet should be determined from the parsed XML.
    `configurationProvider` - The access object for the configuration files, not null.
    `projectPaths` - The paths of the surrounding project, not null.
    `configurationHandlers` - the available configuration handlers, not null.
  Throws:
    `NullPointerException` - if an argument is null.

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String rawName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String rawName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### createOutlet

    protected abstract Outlet createOutlet(QualifiedName outletName,
                                           String uri,
                                           String localName,
                                           String rawName,
                                           Attributes attributes)
                                    throws SAXException

  Parameters:
    `outletName` - the name for the outlet which configuration will be read in by the generated SaxHandlerFactory, or null if the name of the outlet should be determined from the parsed xml.
    `uri` - - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `rawName` - - The qualified name (with prefix), or the empty string if qualified names are not available.
    `attributes` - - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
  Returns:
    the outlet, not null.
  Throws:
    `SAXException` - if the outlet cannot be created.

### getOutlet

    public Outlet getOutlet()

  Returns the outlet being configured.

  Returns:
    the outlet, not null.

### isProcessingMergepointTag

    protected boolean isProcessingMergepointTag()

  Returns whether we are currently processing a mergepoint tag.

  Returns:
    true if we are currently processing a mergepoint tag, false otherwise.

### isFinished

    public boolean isFinished()

  Returns whether we are past the end of the outlet configuration XML snippet which we are parsing.

  Returns:
    true if the whole snippet has been processed, false otherwise.

### getConfigurationProvider

    public ConfigurationProvider getConfigurationProvider()

  Returns the ConfigurationProvider.

  Returns:
    the ConfigurationProvider, not null.

### getProjectPaths

    public ProjectPaths getProjectPaths()

  Returns the paths of the surrounding project.

  Returns:
    the paths of the surrounding project, not null.

### getConfigurationHandlers

    public ConfigurationHandlers getConfigurationHandlers()

  Returns the configuration handlers.

  Returns:
    the configuration handlers, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.